/*
 * pic_apic.c - APIC PIC driver implementation
 *
 * Copyright (c) 2017 Maxime Villard
 *
 * This file is part of ALMOS-MKH.
 *
 * ALMOS-MKH is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2.0 of the License.
 *
 * ALMOS-MKH is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ALMOS-MKH; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */

#include <hal_types.h>
#include <chdev.h>
#include <pic_apic.h>
#include <errno.h>
#include <string.h>
#include <vfs.h>

void pic_apic_init( chdev_t * pic )
{
	x86_panic((char *)__func__);
}

void pic_apic_extend_init( uint32_t * xcu_base )
{
	x86_panic((char *)__func__);
}

void pic_apic_bind_irq( lid_t     lid,
                          chdev_t * src_chdev )
{
	x86_panic((char *)__func__);
}

void pic_apic_enable_irq( lid_t     lid,
                            chdev_t * src_chdev )
{
	x86_panic((char *)__func__);
}

void pic_apic_disable_irq( lid_t     lid,
                             chdev_t * src_chdev )
{
	x86_panic((char *)__func__);
}

void pic_apic_enable_timer( uint32_t period )
{
	x86_panic((char *)__func__);
}

void pic_apic_send_ipi( cxy_t    cxy,
                          lid_t    lid )
{
	x86_panic((char *)__func__);
}
